declare const STATUS_FIELDS: readonly ["status", "statusCode"];
export declare type AxiosError = {
    isAxiosError: boolean;
    response: {
        status: number;
    };
};
export declare type ApolloError = {
    networkError?: number;
    code: string | number;
};
declare type Status = typeof STATUS_FIELDS[number];
export declare type UnknownError = {
    [K in Status]?: number;
} & {
    [x: string]: UnknownError;
};
declare function getAgnosticStatusCode(error: AxiosError | ApolloError | UnknownError): number;
export default getAgnosticStatusCode;
